<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iJw 3.0 JW317 (2020-05-14) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD075.xsl" />
	<xsl:include href="condities/CD076.xsl" />
	<xsl:include href="condities/CD077.xsl" />
	<xsl:include href="condities/CD078.xsl" />
	<xsl:include href="condities/CD079.xsl" />
	<xsl:include href="condities/CD080.xsl" />
	<xsl:include href="condities/CD081.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS102.xsl" />
	<xsl:include href="constraints/CS104.xsl" />
	<xsl:include href="constraints/CS300.xsl" />
	<xsl:include href="constraints/CS323.xsl" />
	<xsl:include href="constraints/CS330.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR097.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR352.xsl" />
	<xsl:include href="rules/TR353.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD075"/>
		<xsl:apply-templates select="." mode="CD076"/>
		<xsl:apply-templates select="." mode="CD077"/>
		<xsl:apply-templates select="." mode="CD078"/>
		<xsl:apply-templates select="." mode="CD079"/>
		<xsl:apply-templates select="." mode="CD080"/>
		<xsl:apply-templates select="." mode="CD081"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS102"/>
		<xsl:apply-templates select="." mode="CS104"/>
		<xsl:apply-templates select="." mode="CS300"/>
		<xsl:apply-templates select="." mode="CS323"/>
		<xsl:apply-templates select="." mode="CS330"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR097"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR352"/>
		<xsl:apply-templates select="." mode="TR353"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ijw</vr:Standaard>
			<vr:StandaardRelease>3.0</vr:StandaardRelease>
			<vr:XSLTVersie>2.0.24</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
