<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
	>

	<!-- iJw 3.0 CS103 version 2.0.24 (2020-05-14) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS103"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS103"/>
	</xsl:template>

	<xsl:template match="jw303:DeclaratieFactuurIdentificatie/ijw:DeclaratiePeriode" mode="CS103">
		<xsl:if test="translate(ijw:Einddatum/text(), '-', '') &gt;= 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS103</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="jw303:ProductPeriode" mode="CS103">
		<xsl:if test="translate(ijw:Einddatum/text(), '-', '') &gt;= 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS103</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="jw304:ProductPeriode" mode="CS103">
		<xsl:if test="translate(ijw:Einddatum/text(), '-', '') &gt;= 20210101">
			<xsl:call-template name="addError">
				<xsl:with-param name="pRule">CS103</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
