<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw301="http://www.istandaarden.nl/ijw/3_0/jw301/schema"
	xmlns:jw315="http://www.istandaarden.nl/ijw/3_0/jw315/schema"
	xmlns:jw317="http://www.istandaarden.nl/ijw/3_0/jw317/schema"
	>

	<!-- iJw 3.0 CS104 version 2.0.24 (2020-05-14) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CS104" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS104" />
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct//jw301:Omvang/ijw:Frequentie" mode="CS104">
		<xsl:if test="not(ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum) or number(translate(ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!3,5</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum" />
				<xsl:with-param name="pRule">CS104</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw315:AangevraagdProduct//jw315:Omvang/ijw:Frequentie" mode="CS104">
		<xsl:if test="not(ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum) or number(translate(ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!3,5</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum" />
				<xsl:with-param name="pRule">CS104</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="jw317:TeWijzigenProduct//jw317:Omvang/ijw:Frequentie" mode="CS104">
		<xsl:if test="not(ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum) or number(translate(ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!3,5</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum" />
				<xsl:with-param name="pRule">CS104</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="jw317:NieuwProduct//jw317:Omvang/ijw:Frequentie" mode="CS104">
		<xsl:if test="not(ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum) or number(translate(ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!3,5</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum" />
				<xsl:with-param name="pRule">CS104</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
