<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
	>

	<!-- iJw 3.0 CS331 version 2.0.24 (2020-05-14) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS331"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS331"/>
	</xsl:template>

	<xsl:template match="jw303:IngediendeBedragPrestatie/ijw:Eenheid" mode="CS331">
		<xsl:if test="translate(../../jw303:ProductPeriode/ijw:Begindatum/text(), '-', '') &gt;= 20190401">
			<xsl:call-template name="checknvalue">
				<xsl:with-param name="pValues">21,81</xsl:with-param>
				<xsl:with-param name="pRule">CS331</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw304:IngediendeBedragPrestatie/ijw:Eenheid" mode="CS331">
		<xsl:if test="translate(../../jw304:ProductPeriode/ijw:Begindatum/text(), '-', '') &gt;= 20190401">
			<xsl:call-template name="checknvalue">
				<xsl:with-param name="pValues">21,81</xsl:with-param>
				<xsl:with-param name="pRule">CS331</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
