<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:jw301="http://www.istandaarden.nl/ijw/3_0/jw301/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
	xmlns:jw305="http://www.istandaarden.nl/ijw/3_0/jw305/schema"
	xmlns:jw307="http://www.istandaarden.nl/ijw/3_0/jw307/schema"
	xmlns:jw315="http://www.istandaarden.nl/ijw/3_0/jw315/schema"
	xmlns:jw317="http://www.istandaarden.nl/ijw/3_0/jw317/schema"
	xmlns:jw319="http://www.istandaarden.nl/ijw/3_0/jw319/schema"
	xmlns:jw323="http://www.istandaarden.nl/ijw/3_0/jw323/schema"
	xmlns:jw325="http://www.istandaarden.nl/ijw/3_0/jw325/schema"
>
	<!-- iJw 3.0 TR101 version 2.0.24 (2020-05-14) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR101"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR101"/>
	</xsl:template>

	<!-- JW301 -->
	<xsl:template match="*[jw301:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw301:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw301:Contact]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw301:Contact"/>
			<xsl:with-param name="pKeys">/Soort,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw301:Relatie]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw301:Relatie"/>
			<xsl:with-param name="pKeys">/Contact/Soort,/Nummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw301:ToegewezenProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw301:ToegewezenProduct"/>
			<xsl:with-param name="pKeys">/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW303 -->
	<xsl:template match="*[jw303:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw303:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw303:Prestatie]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw303:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductCategorie,/ProductCode,/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW304 -->
	<xsl:template match="*[jw304:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw304:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw304:Prestatie]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw304:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductCategorie,/ProductCode,/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW305 -->
	<xsl:template match="*[jw305:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw305:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw305:StartProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw305:StartProduct"/>
			<xsl:with-param name="pKeys">/Begindatum,/Product/Categorie,/Product/Code,/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW307 -->
	<xsl:template match="*[jw307:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw307:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw307:StopProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw307:StopProduct"/>
			<xsl:with-param name="pKeys">/Begindatum,/Einddatum,/Product/Categorie,/Product/Code,/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW315 -->
	<xsl:template match="*[jw315:AangevraagdProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw315:AangevraagdProduct"/>
			<xsl:with-param name="pKeys">/Product/Categorie,/Product/Code,/ToewijzingIngangsdatum,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw315:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw315:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW317 -->
	<xsl:template match="*[jw317:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw317:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw317:NieuwProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw317:NieuwProduct"/>
			<xsl:with-param name="pKeys">/GewensteIngangsdatum,/Product/Categorie,/Product/Code,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw317:OngewijzigdProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw317:OngewijzigdProduct"/>
			<xsl:with-param name="pKeys">/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw317:TeWijzigenProduct]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw317:TeWijzigenProduct"/>
			<xsl:with-param name="pKeys">/ToewijzingNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw317:Verzoek]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw317:Verzoek"/>
			<xsl:with-param name="pKeys">/ReferentieAanbieder,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW319 -->
	<xsl:template match="*[jw319:Antwoord]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw319:Antwoord"/>
			<xsl:with-param name="pKeys">/ReferentieAanbieder,/VerzoekAntwoord,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw319:Woonplaatsbeginsel]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw319:Woonplaatsbeginsel"/>
			<xsl:with-param name="pKeys">/Gemeente,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW323 -->
	<xsl:template match="*[jw323:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw323:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw323:Declaratie]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw323:Declaratie"/>
			<xsl:with-param name="pKeys">/DeclaratieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw323:Prestatie]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw323:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<!-- JW325 -->
	<xsl:template match="*[jw325:Client]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw325:Client"/>
			<xsl:with-param name="pKeys">/Bsn,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw325:DeclaratieAntwoord]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw325:DeclaratieAntwoord"/>
			<xsl:with-param name="pKeys">/DeclaratieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="*[jw325:Prestatie]" mode="TR101">
		<xsl:call-template name="checkDuplicateKeys">
			<xsl:with-param name="pElement" select="jw325:Prestatie"/>
			<xsl:with-param name="pKeys">/ProductReferentie/ReferentieNummer,/ProductReferentie/VorigReferentieNummer,</xsl:with-param>
			<xsl:with-param name="pRule">TR101</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
