<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
	>

	<!-- iJw 3.0 TR314 version 2.0.24 (2020-05-14) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR314"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR314"/>
	</xsl:template>

	<xsl:template match="jw303:ProductReferentie" mode="TR314">
		<xsl:variable name="vReferentieNummer" select="normalize-space(ijw:ReferentieNummer/text())" />

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::jw303:Prestatie/preceding-sibling::jw303:Prestatie//ijw:ReferentieNummer[text() = $vReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR314</xsl:with-param>
			<xsl:with-param name="pCode">8021</xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:ReferentieNummer" />
		</xsl:call-template>

		<xsl:call-template name="checkvalue">
			<xsl:with-param name="pThis" select="ancestor-or-self::jw303:Client/preceding-sibling::jw303:Client//ijw:ReferentieNummer[text() = $vReferentieNummer]" />
			<xsl:with-param name="pValues">!#</xsl:with-param>
			<xsl:with-param name="pRule">TR314</xsl:with-param>
			<xsl:with-param name="pCode">8021</xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:ReferentieNummer" />
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
