<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ijw="http://www.istandaarden.nl/ijw/3_0/basisschema/schema"
	xmlns:jw303="http://www.istandaarden.nl/ijw/3_0/jw303/schema"
	xmlns:jw304="http://www.istandaarden.nl/ijw/3_0/jw304/schema"
	>

	<!-- iJw 3.0 TR317 version 2.0.24 (2020-05-14) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR317"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR317"/>
	</xsl:template>

	<xsl:template match="jw303:IngediendeBedragPrestatie | jw304:IngediendeBedragPrestatie" mode="TR317">
		<xsl:variable name="vBedrag" select="normalize-space(ijw:GeleverdVolume) * normalize-space(ijw:ProductTarief)" />
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="ijw:BerekendBedrag/ijw:Bedrag" />
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ijw:BerekendBedrag/ijw:Bedrag" />
			<xsl:with-param name="pValue2"><xsl:call-template name="formatNumber"><xsl:with-param name="pValue" select="$vBedrag" /></xsl:call-template></xsl:with-param>
			<xsl:with-param name="pExtra" select="ijw:GeleverdVolume | ijw:ProductTarief" />
			<xsl:with-param name="pRule">TR317</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
